Bug 101610 - Saving as pptx splits a bulleted line at shift-return
Summary: Saving as pptx splits a bulleted line at shift-return
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2016-08-19 11:05 UTC by Robert Pollak
Modified: 2018-10-22 02:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
original file (55.94 KB, application/vnd.oasis.opendocument.presentation)
2016-08-19 11:05 UTC, Robert Pollak
Details
saved as 2007-2013 pptx (236.78 KB, application/vnd.ms-powerpoint.presentation.12)
2016-08-19 11:08 UTC, Robert Pollak
Details
compared screenshots (68.37 KB, image/png)
2016-08-19 11:09 UTC, Robert Pollak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Pollak 2016-08-19 11:05:32 UTC
Created attachment 126903 [details]
original file

The attached file items.odp (of unknown origin) was edited in LO 5.2.0.4 to contain a bulleted line, broken with shift-return.
After saving as "Powerpoint 2007-2013 XML" (items.pptx) and opening in Powerpoint of "Microsoft Office 365 ProPlus", the line is broken: It is split into two bullet lines at the line break.

The screenshot comparison.png shows the original file in LO on top and the broken version in Powerpoint below.
Comment 1 Robert Pollak 2016-08-19 11:08:02 UTC
Created attachment 126904 [details]
saved as 2007-2013 pptx
Comment 2 Robert Pollak 2016-08-19 11:09:10 UTC
Created attachment 126905 [details]
compared screenshots
Comment 3 Robert Pollak 2016-08-19 11:15:19 UTC
My workaround is to use the old ppt format instead.
Comment 4 Buovjaga 2016-10-16 10:22:03 UTC
Reproduced.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.3.0.0.alpha0+
Build ID: 970a66f8c919ea0524f216f40d21b3e2a8c88ccc
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-10-16_00:03:17
Locale: fi-FI (fi_FI); Calc: group
Comment 5 QA Administrators 2018-10-22 02:47:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug